{% extends 'base.html.twig' %}

{% block title %}Bannière{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="header">
                <h1>Nos bannières </h1>
                {% if app.user.roles[0] == "ROLE_ADMIN" %}
                    <a class="btn" href="{{ path('banner_new') }}">Créer une nouvelle bannière</a>
                {% endif %}
            </div>
            {% for banner in banners %}
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">{{ banner.name }}</h5>
                            <img class="banner-img index" src="{{ path('banner-img', {'banner' : banner.id}) }}" alt="">
                            <p class="card-text">Cette banniere sera sur le site {{ banner.site }}</p>
                            <a href="{{ path('banner_show', {'banner': banner.id}) }}" class="btn btn-outline-dark ">Voir
                                la bannière</a>
                            {% if app.user.roles[0] == "ROLE_ADMIN" %}
                                <a href="{{ path('edit_banner', {'banner': banner.id}) }}" class="btn btn-outline-dark">editer</a>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}